#! /usr/bin/env node

var program = require("commander")
let checkVersion = require("../lib/check-version")
var project = require("../lib/project")()
let checkPKG = require("../lib/check-pkg")

program.option("-p, --port [value]", "dev server listen port")
program.option("-b, --browser [browser]", "which browser to open", "default")
program.option("-P, --profile", "enable profile mode", false)
program.option("-Y, --yes", "force update packages", false)
program.option("-N, --no", "ignore update packages", false)
program.parse(process.argv)

var port = program.port
var browser = program.browser
var profile = program.profile
var yes = program.yes
var no = program.no

let dev = () => {
  let tasks = require("nva-task")(project)
  tasks.dev({ port, browser, profile })
}
let started = parseInt(process.env.started)

if (no) {
  dev()
} else {
  if (started === 0) {
    let next = checkPKG.bind(null, dev, project.proj.autocheck, yes)
    if(project.proj.selfcheck){
      checkVersion(next, yes)
    }else{
      next()
    }
  } else {
    dev()
  }
}
