#! /usr/bin/env node

process.env.NODE_ENV = 'production'

var program = require("commander")
let checkVersion = require('../lib/check-version')
var project = require('../lib/project')()
let checkPKG = require('../lib/check-pkg')

program.option("-p, --profile", "enable profile mode", false)
program.option("-N, --no", "ignore update packages", false)
program.option("-Y, --yes", "force update packages", false)
program.parse(process.argv)

var profile = program.profile
var no = program.no
var yes = program.yes

let tasks = require('nva-task')(project)

if (no) {
    tasks.build({ profile })
} else {
    let next = checkPKG.bind(null, function() {
        tasks.build({ profile })
    }, project.proj.autocheck, yes)
    if(project.proj.selfcheck){
        checkVersion(next, yes)
    } else {
        next()
    }
}