#! /usr/bin/env node

var program = require("commander"),
    chalk = require("chalk"),
    fs = require('fs-extra'),
    path = require('path')
var project = require('../lib/project')()
var tasks = require('nva-task')(project)

program.usage('[name]')
program.option("-d, --delete", "delete action flag")
program.option("-t, --template [value]", "choose template module")

program.on('--help', function() {
    console.log(`
  Examples:

    ${chalk.cyan(' # add a new module in project')}
    nva mod todo
    
    ${chalk.cyan(' # add new modules in project,spit name with \',\'')}
    nva mod todo,...

    ${chalk.cyan(' # add new modules in project base on template module \',\'')}
    nva mod todo -t <template module>

    ${chalk.cyan(' # remove modules in project,spit name with \',\'')}
    nva mod todo,... -d

    `)
})

program.parse(process.argv)
if (!program.args.length) {
    program.help()
}

var moduleName = program.args[0]
if (moduleName === '[object Object]') {
    console.log(chalk.red('name required!'))
    program.help()
    process.exit(1)
}
if (program.delete) {
    tasks.removeMod(moduleName)
    process.exit(1)
}

var questions = [{
    type: 'input',
    name: 'path',
    message: '模块路径'
}, {
    type: 'input',
    name: 'html',
    message: "入口 html,多个html使用 ',' 分隔" 
}, {
    type: 'input',
    name: 'entryJS',
    message: "入口 js 文件名"
}, {
    type: 'input',
    name: 'entryCSS',
    message: "入口 css 文件名"
}, {
    type: 'input',
    name: 'vendorJS',
    message: "js 依赖组合名"
}, {
    type: 'input',
    name: 'vendorCSS',
    message: "css 依赖组合名"
}, {
    type: "confirm",
    name: 'yes',
    message: "确认以上的回答?"
}]

lib.ask(questions, 'yes', function(answers) {
    delete answers.yes
    tasks.addMod(moduleName, answers, program.template)
})