let ora = require('ora')
let execSync = require('execa').shellSync
let fs = require('fs-extra')
let chalk = require('chalk')
let config = require('./config')
let download = require('./index').download

function generator(projectName, destPath, answers, repo) {
    fs.mkdirsSync(destPath)
    var _template = config.repoForTemplate(answers.template)
    var _repo = repo ? repo : _template
    var _dest = repo ? 'repo: ' + repo : 'template: ' + answers.template

    var spinner = ora(`Downloading ${_dest} for project`)
    spinner.start()

    return download(_repo, destPath).then(function() {
        spinner.stop()

        try {
            execSync(`cd ${destPath} && npm install`, { stdio: 'inherit' })
        } catch (err) {
            console.log(err)
            process.exit(1)
        }
        if (answers.package.length > 0){
            let pkg = answers.package.join(' ')
            try {
                execSync(`npm install ${pkg} -S`, { stdio: 'inherit' })
            } catch (err) {
                console.log(err)
                process.exit(1)
            }
        }
        var completeMsg = `Successfully generated project '${projectName}'`
        console.log(chalk.yellow(completeMsg))
    }).catch(function(err) {
        console.log(chalk.red(`\n can not download ${_dest}`), err)
        process.exit(1)
    })
}

module.exports = generator