#! /usr/bin/env node

let path = require('path')
let fs = require('fs')

let restore = false
if (process.argv[2] && process.argv[2] === '-r') {
    restore = true
}

/* rewrite nva-task */
let files = ['nva-build.js', 'nva-dev.js', 'nva-vendor.js']

for (let file of files) {
    let filePath = path.join(__dirname, '..', 'bin', file)
    let content = fs.readFileSync(filePath, 'utf8')
    if (restore) {
        content = content.replace("require('../packages/nva-task/src').default", "require('nva-task')")
    } else {
        content = content.replace("require('nva-task')", "require('../packages/nva-task/src').default")
    }
    fs.writeFileSync(filePath, content)
}

files = [
    'base/vendor.js', 'frontend/webpack.hot-update.js', 'frontend/webpack.production.js',
    'isomorphic/webpack.hot-update.js', 'isomorphic/webpack.client.js','isomorphic/webpack.bundle.js',
    'frontend/develop-server.js', 'isomorphic/develop-server.js'
]

for (let file of files) {
    let filePath = path.join(__dirname, '..', 'packages', 'nva-task', 'src', file)
    let content = fs.readFileSync(filePath, 'utf8')
    if (restore) {
        content = content.replace("from '../../../nva-core/src'", "from 'nva-core'")
        content = content.replace("from '../../../nva-server/src'", "from 'nva-server'")
    } else {
        content = content.replace("from 'nva-server'", "from '../../../nva-server/src'")
        content = content.replace("from 'nva-core'", "from '../../../nva-core/src'")
    }
    fs.writeFileSync(filePath, content)
}